Index: sources/src/sc_main.cc
===================================================================
--- sources/src/sc_main.cc	(revision 35)
+++ sources/src/sc_main.cc	(revision 38)
@@ -87,4 +87,86 @@
 bool        use_port_dependency     = false;
 
+#ifdef _OPENMP
+bool        use_openmp              = true;
+#else
+bool        use_openmp              = false;
+#endif
+
+const char *HELP_STRING = \
+"\n"
+"--a\n"
+"       almost static scheduling (use sensitivity list instead of port\n"
+"       dependency information\n"
+"\n"
+"--c\n"
+"       print schedule at simulation time (stderr)\n"
+"\n"
+"--d\n"
+"       check port dependencies (stderr)\n"
+"\n"
+"--edit\n"
+"       edit schedule before simulation (run $EDITOR or vim by default)\n"
+"\n"
+"--f\n"
+"       print function list (stderr)\n"
+"\n"
+"--h\n"
+"       display help screen and exit (stdout)\n"
+"\n"
+"--i\n"
+"       print instances list, signals list and statistics if available (stderr)\n"
+"\n"
+"--k\n"   
+"       dump generated scheduling code\n"
+"       (generated_by_systemcass/scheduling-xx.cc)\n"
+"\n"
+"--m\n"
+"       Mouchard's static scheduling (use port dependency information instead\n"
+"       of sensitivity list)\n"
+"\n"
+"--modules <filename>\n"
+"       dump module hierarchy graph into specified dot file (tons of bugs\n"
+"       inside)\n"
+"\n"
+"--nobanner\n"
+"       do not print SystemCASS splash screen\n"
+"\n"
+"--dynamiclink\n"
+"       dynamically link the scheduling code\n"
+"\n"
+"--nosim\n"
+"       run until elaboration stage. Don't simulate\n"
+"\n"
+"--notrace\n"
+"       disable all tracing functions\n"
+"\n"
+"--p\n"
+"       entirely static scheduling (use port dependency information instead of\n"
+"       sensitivity list)\n"
+"\n"
+"--s\n"
+"       print stage (stderr)\n"
+"\n"
+"--save_on_exit <name>\n"
+"       save simulation state saved into <name> file when SystemCASS exits\n"
+"       (SOCVIEW format)\n"
+"\n"
+            /* WARNING : we can't avoid destructors execution before saving */
+"--t\n"
+"       dump either module graph, or signal dependency graph, signal order,\n"
+"       and module evalutation order into dot files\n"
+"\n"
+"--tracestart <n>\n"
+"       start tracing functions at #n cycle\n"
+"\n"
+"--usage\n"
+"       print user time elapsed (sec), simulation cycles done (cycles),\n"
+"       and simulator performance (cycles/second) (stderr)\n"
+"\n"
+"--v\n"
+"       print internal SystemCASS kernel options (stderr)\n"
+"\n";
+
+
 static
 void 
@@ -93,5 +175,5 @@
   // Display once
   if (nobanner == false)
-  	cerr << get_splash_screen ();
+    cerr << get_splash_screen ();
   nobanner = true;
 }
@@ -173,29 +255,8 @@
             print_splash_screen ();
             cerr << "Usage : " 
-                 << argv[0] << " [--c] [--edit] [--d] [--f] [--h] [--i] [--k] [--modules filename] [--nobanner] [--nodynamiclink] [--nosim] [--notrace] [--s] [--t] [--tracestart n] [--usage] [--v] [--p|m|a] [others parameters processed by sc_main]\n"
+                 << argv[0] << " [--c] [--edit] [--d] [--f] [--h] [--i] [--k] [--modules filename] [--nobanner] [--[no]dynamiclink] [--nosim] [--notrace] [--s] [--t] [--tracestart n] [--usage] [--v] [--p|m|a] [others parameters processed by sc_main]\n"
                  << "Thoses options are processed by SystemCASS library. All the remaining options are passed to sc_main.\n"
                  << "sc_main function retrieves last parameters.\n"
-                 << "a       : almost static scheduling (use sensitivity list instead of port dependency information)\n"
-                 << "c       : print schedule at simulation time (stderr)\n"
-                 << "d       : check port dependencies (stderr)\n"
-                 << "edit    : edit schedule before simulation (run $EDITOR or vim by default)\n"
-                 << "f       : print function list (stderr)\n"
-                 << "h       : display help screen and exit (stdout)\n"
-                 << "i       : print instances list, signals list and statistics if available (stderr)\n"
-                 << "k       : dump generated scheduling code (generated_by_systemcass/scheduling-xx.cc)\n"
-                 << "m       : Mouchard's static scheduling (use port dependency information instead of sensitivity list)\n"
-                 << "modules filename : dump module hierarchy graph into specified dot file (tons of bugs inside)\n"
-                 << "nobanner: do not print SystemCASS splash screen\n"
-                 << "dynamiclink: dynamically link the scheduling code\n"
-                 << "nosim   : run until elaboration stage. Don't simulate\n"
-                 << "notrace : disable all tracing functions\n"
-                 << "p       : entirely static scheduling (use port dependency information instead of sensitivity list)\n"
-                 << "s       : print stage (stderr)\n"
-                 << "save_on_exit <name> : save simulation state saved into <name> file when SystemCASS exits (SOCVIEW format)\n"
-            /* WARNING : we can't avoid destructors execution before saving */
-                 << "t       : dump either module graph, or signal dependency graph, signal order, and module evalutation order into dot files\n"
-                 << "tracestart n : start tracing functions at #n cycle\n"
-                 << "usage   : print user time elapsed (sec), simulation cycles done (cycles), and simulator performance (cycles/second) (stderr)\n"
-                 << "v       : print internal SystemCASS kernel options (stderr)\n";
+                 << HELP_STRING;
             noinitialization = true;
             nosimulation = true;
@@ -227,8 +288,8 @@
             print_schedule = true;
             continue;
-	  case 'd' :
+          case 'd' :
             if (strcmp (argv[i]+2, "dynamiclink") == 0)
               dynamic_link_of_scheduling_code = true;
-	    else
+            else
               check_port_dependencies = true;
             continue;
@@ -321,11 +382,14 @@
   print_splash_screen ();
   check_parameters ();
+
   if (noinitialization)
   {
     return 255;
   }
+
   int ret = sc_main(argc, argv);
-	free (pending_write_vector);
+  free (pending_write_vector);
   close_systemcass ();
+
   if (have_to_stop)
   {
@@ -333,4 +397,5 @@
     return 1;
   }
+
   return ret;
 }
